Skip to main content
Resource Center/Resource Pool/Volume Operations
PUTVolume OperationsSince 3.10.0SynchronousAuth Required

ShrinkVolumeSnapshot

ShrinkVolumeSnapshot

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • shrinkResultShrinkResultRequired

    See shrinkResult.

    • oldSizelongRequired

      旧大小。

    • sizelongRequired

      返回记录数。

    • deltaSizelongRequired

      变化量大小。

Endpoint

PUT/zstack/v1/volume-snapshots/shrink/{uuid}/actions

/zstack/v1/volume-snapshots/shrink/{uuid}/actions

Operation ID

ShrinkVolumeSnapshot

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/volume-snapshots/shrink/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "shrinkResult": { "oldSize": 2.147483648E9, "size": 1.073741824E9, "deltaSize": 1.073741824E9 } }

Change History

This API has no change history records yet.

View all change history